Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class ClassLoaderForClassArtifacts

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

    public class ClassLoaderForClassArtifacts
    extends ClassLoader

Field Summary
`SoftReference` | `klazz`

Constructor Summary
`ClassLoaderForClassArtifacts(Class klazz)`

Method Summary
`String` | `createClassName(Method method)`
`Class` | `define(String name, byte[] bytes)`
`Constructor` | `defineClassAndGetConstructor(String name, byte[] bytes)`
`Class` | `loadClass(String name)`

Methods inherited from class ClassLoader
loadClass, getSystemClassLoader, getResourceAsStream, getResource, getSystemResourceAsStream, getSystemResource, getResources, getSystemResources, getParent, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### klazz

    public final SoftReference klazz

Constructor Detail

### ClassLoaderForClassArtifacts

    public ClassLoaderForClassArtifacts(Class klazz)

Method Detail

### createClassName

    public String createClassName(Method method)

### define

    public Class define(String name, byte[] bytes)

### defineClassAndGetConstructor

    public Constructor defineClassAndGetConstructor(String name, byte[] bytes)

### loadClass

    public Class loadClass(String name)

Copyright © 2003-2010 The Codehaus. All rights reserved.